Bug 151047 - Documentation window not updating on model tree navigation (keyboard)
Summary: Documentation window not updating on model tree navigation (keyboard)
Status: RESOLVED FIXED
Alias: None
Product: umbrello
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Joris Steyn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-19 18:12 UTC by Ferenc Veres
Modified: 2013-11-12 21:43 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ferenc Veres 2007-10-19 18:12:08 UTC
Version:           SVN 3.5 trunk (using KDE Devel)
Installed from:    Compiled sources
OS:                Linux

The little "Documentation" window syncs with the currently selected object in the model tree, when the model tree is navigated with the mouse. You click an object, Documentation window content updates (and editable). Cool.

But, if you navigate with up/down/left/right, the Documentation window will stay unchanged, referring to the last mouse clicked object. I think it should follow the selection on the Model tree, even if Keyboard is used. (E.g  helps checking if documentation is missing somewhere.)

Thanks,
Ferenc
Comment 1 Joris Steyn 2013-10-06 10:03:09 UTC
Git commit 91c02d2a0405fc68db2b5041bd5151f8089e1250 by Joris Steyn.
Committed on 06/10/2013 at 09:52.
Pushed by jorissteyn into branch 'master'.

Update documentation window on key navigation

Selecting a different tree item using the keyboard now updates the
documentation window just like what would happen when using the mouse.

The keyboard can also be used to select a different diagram from the tree view.

M  +11   -0    umbrello/umllistview.cpp

http://commits.kde.org/umbrello/91c02d2a0405fc68db2b5041bd5151f8089e1250
Comment 2 Ralf Habacker 2013-10-06 12:23:16 UTC
Git commit cd02d6f4496081919eec3126f87f799dd06ac43a by Ralf Habacker, on behalf of Joris Steyn.
Committed on 06/10/2013 at 09:52.
Pushed by habacker into branch 'KDE/4.11'.

Update documentation window on key navigation

Selecting a different tree item using the keyboard now updates the
documentation window just like what would happen when using the mouse.

The keyboard can also be used to select a different diagram from the tree view.
FIXED-IN:4.11.3

M  +11   -0    umbrello/umllistview.cpp

http://commits.kde.org/umbrello/cd02d6f4496081919eec3126f87f799dd06ac43a